#include <iostream>

using namespace std;

int main()
{
    string s;
    cin >> s;
    for(int i = s.size() - 1; i >= 0; i--)
    {
        if(i == s.size() - 1 && s[i] == '0')
            continue;
        if(s[i] == '2')
            cout << '5';
        else if(s[i] == '5')
            cout << '2';
        else cout << s[i];
    }
    return 0;
}
